Commit 79013634 authored by Giovanni Campagna's avatar Giovanni Campagna

Add version macros for 2.34

This marks the start of the new development cycle, and opens the
window for API additions.

https://bugzilla.gnome.org/show_bug.cgi?id=673659
parent 55bbb9fc
......@@ -77,6 +77,16 @@
*/
#define GLIB_VERSION_2_32 (G_ENCODE_VERSION (2, 32))
/**
* GLIB_VERSION_2_34:
*
* A macro that evaluates to the 2.34 version of GLib, in a format
* that can be used by the C pre-processor.
*
* Since: 2.34
*/
#define GLIB_VERSION_2_34 (G_ENCODE_VERSION (2, 34))
/* evaluates to the current stable version; for development cycles,
* this means the next stable target
*/
......@@ -209,4 +219,18 @@
# define GLIB_AVAILABLE_IN_2_32
#endif
#if GLIB_VERSION_MIN_REQUIRED >= GLIB_VERSION_2_34
# define GLIB_DEPRECATED_IN_2_34 GLIB_DEPRECATED
# define GLIB_DEPRECATED_IN_2_34_FOR(f) GLIB_DEPRECATED_FOR(f)
#else
# define GLIB_DEPRECATED_IN_2_34
# define GLIB_DEPRECATED_IN_2_34_FOR(f)
#endif
#if GLIB_VERSION_MAX_ALLOWED < GLIB_VERSION_2_34
# define GLIB_AVAILABLE_IN_2_34 GLIB_UNAVAILABLE(2, 34)
#else
# define GLIB_AVAILABLE_IN_2_34
#endif
#endif /* __G_VERSION_MACROS_H__ */
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment